%global pkgname genss

Name:           gap-pkg-%{pkgname}
Version:        1.6.2
Release:        1%{?dist}
Summary:        Randomized Schreier-Sims algorithm

License:        GPLv3+
URL:            http://gap-system.github.io/genss/
Source0:        https://github.com/gap-system/genss/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2
BuildArch:      noarch

# The AtlasRep dependency is needed for the tests only
BuildRequires:  gap-devel
BuildRequires:  gap-pkg-atlasrep
BuildRequires:  gap-pkg-io
BuildRequires:  gap-pkg-orb

Requires:       gap-core%{?_isa}
Requires:       gap-pkg-io
Requires:       gap-pkg-orb
Requires(post): gap-core%{?_isa}
Requires(postun): gap-core%{?_isa}

%description
The genss package implements the randomized Schreier-Sims algorithm to
compute a stabilizer chain and a base and strong generating set for
arbitrary finite groups.

%prep
%setup -q -n %{pkgname}-%{version}

# Fix encodings
for fil in init.g read.g doc/examples.xml doc/intro.xml; do
  iconv -f iso8859-1 -t utf-8 $fil > $fil.utf8
  touch -r $fil $fil.utf8
  mv -f $fil.utf8 $fil
done

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a doc gap test VERSION *.g %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/{clean,genss.bib}

%check
# Skip tests that generate HTTP traffic to the ATLAS database
sed -e 's/\[1,2,3,4,5,6,7,8,14\]/[1..7]/' \
    -e 's/1\.\.4/2/' \
    -e 's/1\.\.25/1..6/' \
    -e 's/1\.\.26/1..5/' \
    -e 's/\[1,2,3,4,5,6,7,8,11,16,17,19,20\]/[1..7]/' \
    -e 's/\[1,2,3\]/[1]/' \
    -e 's/\[1,2,4,6\]/[1,2,3]/' \
    -i test/testall.g

gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" << EOF
LoadPackage( "genss" );
Read( "test/testall.g" );
EOF

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%files
%doc CHANGES README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Tue Jul 28 2015 Jerry James <loganjerry@gmail.com> - 1.6.2-1
- Initial RPM
